Bug 1467761 - [RFE] Script should help create ssh key and copy it to the remote libvirt host
[RFE] Script should help create ssh key and copy it to the remote libvirt host
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Virt-who Configure Plugin (Show other bugs)
6.3.0
Unspecified Unspecified
medium Severity medium (vote)
: Unspecified
: --
Assigned To: Marek Hulan
Katello QA List
satellite-doc-list
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-04 23:39 EDT by Eko
Modified: 2018-02-14 17:44 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 20261 None None None 2017-07-10 09:42 EDT

  None (edit)
Description Eko 2017-07-04 23:39:03 EDT
for remote libvirt mode, virt-who only support to run by ssh key, don't support by username and password, 

so I suggest the script helps to create the ssh key and then upload it to the remote libvirt by auto.
Comment 2 Marek Hulan 2017-07-10 09:40:22 EDT
And it could be even integrated with SSH keys uploaded to user. The problem I see is that the script would need to ssh to the host which would make it interactive. Maybe that could be a different script or hammer command to run. It should probably also be able to do ssh-keygen if user decides to generate a new key.
Comment 3 Marek Hulan 2017-07-10 09:42:15 EDT
Created redmine issue http://projects.theforeman.org/issues/20261 from this bug
Comment 4 Marek Hulan 2017-07-10 09:43:04 EDT
Or the installation could be done through REX once it supports password based authentication.

Note You need to log in before you can comment on or make changes to this bug.